# Create Items

{% hint style="warning" %}
If inventory which you use is not on this list - Create Items regarding to other items in your inventory script.
{% endhint %}

{% tabs %}
{% tab title="ox\_inventory" %}
File Location: ox\_inventory/data/items.lua

Image Should Be placed in: ox\_inventory/web/images

```lua
['crime_tablet'] = {
    label = 'Crime Tablet',
    weight = 1,
    type = 'item',
    image = 'tablet.png', -- Optional, if you want an image for it
    useable = true,
    description = 'A tablet for various crime-related tasks.',
    client = {
	event = 'op-crime:openCrimeTablet'
    }
},
['rope'] = {
    label = "Rope",
    weight = 250,
    client = {
      event = "op-crime:openHandcuffsMenu",
    }
},
['spray_remover'] = {
    label = "Spray Remover",
    weight = 250,
    client = {
      event = "op-crime:useRemover",
    }
},
['spray_can'] = {
    label = "Gang Spray Can",
    weight = 1500,
    client = {
      event = "op-crime:useSpray",
    }
},
['spy_binoculars'] = {
	label = "Tactical Binoculars",
	weight = 1500,
	client = {
		event = "op-crime:spybinoculars:client:toggle",
	}
},
['spy_gps']= {
	label = "GPS Tracker",
	weight = 1500,
	client = {
		event = "op-crime:spy-gps:placeGps",
	}
},
['spy_cam']= {
	label = "Hidden Camera",
	weight = 1500,
	client = {
		event = "op-crime:addSpyItem:SpyCam",
	}
},
['spy_motionsensor']= {
	label = "Motion Sensor",
	weight = 1500,
	client = {
		event = "op-crime:addSpyItem:MotionSensor",
	}
},
['spy_cam_terminal']= {
	label = "Camera Terminal",
	weight = 1500,
	client = {
		event = "op-crime:openSpyCamTerminal",
	}
},
['spy_detector']= {
	label = "Signal Detector",
	weight = 1500,
	client = {
		event = "op-crime:detectorItem",
	}
},
['cocaine'] = {
    label = "Cocaine 1g",
    weight = 1,
},
['meth'] = {
    label = "Crystal Meth 1g",
    weight = 1,
},
['weed'] = {
    label = "Weed 1g",
    weight = 1,
},
```

{% endtab %}

{% tab title="qb-inventory" %}
File Location: qb-core/shared/items.lua

Image Should Be placed in: qb-inventory/html/images

```lua
crime_tablet = { 
    name = 'crime_tablet', 
    label = 'Crime Tablet', 
    weight = 1, 
    type = 'item', 
    image = 'tablet.png', -- Optional, if you want an image for it
    useable = true, 
    shouldClose = true, 
    description = 'A tablet for various crime-related tasks.' ,
    client = {
        event = "op-crime:openCrimeTablet"
    }
},
rope = {
    name = 'rope',
    label = 'Rope',
    weight = 250,
    type = 'item',
    image = 'rope.png',
    useable = true,
    shouldClose = true,
    description = 'A rope that can be used for restraining or other tasks.',
    client = {
        event = "op-crime:openHandcuffsMenu"
    }
},
spray_remover = {
    name = 'spray_remover',
    label = 'Spray Remover',
    weight = 250,
    type = 'item',
    image = 'spray_remover.png',
    useable = true,
    shouldClose = true,
    description = 'Removes gang graffiti from walls.',
    client = {
        event = "op-crime:useRemover"
    }
},
spray_can = {
    name = 'spray_can',
    label = 'Gang Spray Can',
    weight = 1500,
    type = 'item',
    image = 'spray_can.png',
    useable = true,
    shouldClose = true,
    description = 'Used to spray graffiti in gang territories.',
    client = {
        event = "op-crime:useSpray"
    }
},
spy_binoculars = {
    name = 'spy_binoculars',
    label = 'Tactical Binoculars',
    weight = 1500,
    type = 'item',
    image = 'spy_binoculars.png',
    useable = true,
    shouldClose = true,
    description = 'Tactical binoculars for long-range surveillance.',
    client = {
        event = "op-crime:spybinoculars:client:toggle"
    }
},
spy_gps = {
    name = 'spy_gps',
    label = 'GPS Tracker',
    weight = 1500,
    type = 'item',
    image = 'spy_gps.png',
    useable = true,
    shouldClose = true,
    description = 'A GPS tracker used to monitor targets.',
    client = {
        event = "op-crime:spy-gps:placeGps"
    }
},
spy_cam = {
    name = 'spy_cam',
    label = 'Hidden Camera',
    weight = 1500,
    type = 'item',
    image = 'spy_cam.png',
    useable = true,
    shouldClose = true,
    description = 'A hidden camera for surveillance.',
    client = {
        event = "op-crime:addSpyItem:SpyCam"
    }
},
spy_motionsensor = {
    name = 'spy_motionsensor',
    label = 'Motion Sensor',
    weight = 1500,
    type = 'item',
    image = 'spy_motionsensor.png',
    useable = true,
    shouldClose = true,
    description = 'Detects movement in a specific area.',
    client = {
        event = "op-crime:addSpyItem:MotionSensor"
    }
},
spy_cam_terminal = {
    name = 'spy_cam_terminal',
    label = 'Camera Terminal',
    weight = 1500,
    type = 'item',
    image = 'spy_cam_terminal.png',
    useable = true,
    shouldClose = true,
    description = 'A terminal used to access camera feeds.',
    client = {
        event = "op-crime:openSpyCamTerminal"
    }
},
spy_detector = {
    name = 'spy_detector',
    label = 'Signal Detector',
    weight = 1500,
    type = 'item',
    image = 'spy_detector.png',
    useable = true,
    shouldClose = true,
    description = 'Detects electronic signals nearby.',
    client = {
        event = "op-crime:detectorItem"
    }
},
cocaine = {
    name = 'cocaine',
    label = 'Cocaine 1g',
    weight = 1,
    type = 'item',
    image = 'cocaine.png',
    useable = true,
    shouldClose = true,
    description = 'A gram of cocaine.'
},
meth = {
    name = 'meth',
    label = 'Crystal Meth 1g',
    weight = 1,
    type = 'item',
    image = 'meth.png',
    useable = true,
    shouldClose = true,
    description = 'A gram of crystal meth.'
},
weed = {
    name = 'weed',
    label = 'Weed 1g',
    weight = 1,
    type = 'item',
    image = 'weed.png',
    useable = true,
    shouldClose = true,
    description = 'A gram of weed.'
},

```

{% endtab %}

{% tab title="Basic ESX" %}

## This is MySql insert.

```sql
INSERT INTO `items` (`name`, `label`, `weight`, `rare`, `can_remove`) VALUES
("rope", "Rope", 250, 0, 1),
("spray_remover", "Spray Remover", 250, 0, 1),
("spray_can", "Gang Spray Can", 1500, 0, 1),
("cocaine", "Cocaine 1g", 1, 0, 1),
("meth", "Crystal Meth 1g", 1, 0, 1),
("weed", "Weed 1g", 1, 0, 1),
("crime_tablet", "Crime Tablet", 1, 0, 1),
("spy_binoculars", "Tactical Binoculars", 1500, 0, 1),
("spy_gps", "GPS Tracker", 1500, 0, 1),
("spy_cam", "Hidden Camera", 1500, 0, 1),
("spy_motionsensor", "Motion Sensor", 1500, 0, 1),
("spy_cam_terminal", "Camera Terminal", 1500, 0, 1),
("spy_detector", "Signal Detector", 1500, 0, 1);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-gangs/create-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
